function cl = pred1NearestNeighbor(prot, data)
    dm = distmat(prot, data);
    [foo,cl] = min(dm, [], 1);
end

function dm = distmat(x1,x2)
    [D,N1] = size(x1);
    N2 = size(x2,2);
    dm = nan(N1,N2);
    for i = 1:N1,
        for j = 1:N2,
            dm(i,j) = sqrt( sum( (x1(:,i)-x2(:,j)).^2 ) );
        end
    end
end